services:
  trend-radar:
    image: wantcat/trendradar:6.0.0
    container_name: ${CONTAINER_NAME}
    restart: always
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    volumes:
      - ./config:/app/config:ro
      - ${DATA_PATH}:/app/output
    environment:
      - CRON_SCHEDULE=${CRON_SCHEDULE}
      - RUN_MODE=${RUN_MODE}
      - IMMEDIATE_RUN=${IMMEDIATE_RUN}
    networks:
      - opsmind-network
    labels:
      createdBy: Apps
networks:
  opsmind-network:
    external: true
